Page MenuHomePhabricator

[flang][openacc] Add clause validaty tests for data construct + fix default restriction
ClosedPublic

Authored by clementval on Nov 20 2020, 12:40 PM.

Details

Summary

Add clause validity tests for the data construct. The default clause can appear only once
and this was not enforce in the ACC.td.

Diff Detail

Unit TestsFailed

TimeTest
430 mslinux > HWAddressSanitizer-x86_64.TestCases::sizes.cpp
Script: -- : 'RUN: at line 3'; /mnt/disks/ssd0/agent/llvm-project/build/./bin/clang --driver-mode=g++ -m64 -gline-tables-only -fsanitize=hwaddress -fuse-ld=lld -mcmodel=large -mllvm -hwasan-globals -mllvm -hwasan-use-short-granules -mllvm -hwasan-instrument-landing-pads=0 -mllvm -hwasan-instrument-personality-functions /mnt/disks/ssd0/agent/llvm-project/compiler-rt/test/hwasan/TestCases/sizes.cpp -nostdlib++ -lstdc++ -o /mnt/disks/ssd0/agent/llvm-project/build/projects/compiler-rt/test/hwasan/X86_64/TestCases/Output/sizes.cpp.tmp

Event Timeline

clementval created this revision.Nov 20 2020, 12:40 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 20 2020, 12:40 PM
clementval requested review of this revision.Nov 20 2020, 12:40 PM
This revision is now accepted and ready to land.Dec 4 2020, 7:45 AM

Thanks for the review!

This revision was landed with ongoing or failed builds.Dec 4 2020, 12:12 PM
This revision was automatically updated to reflect the committed changes.
PeteSteinfeld reopened this revision.Dec 7 2020, 11:07 AM
PeteSteinfeld added a subscriber: PeteSteinfeld.

@clementval , when I build and test an in-tree build, everything works fine. But when I build out-of-tree, the error message associated with line 165 does not appear. Do you know why?

Let me know what I can do to help figure this out.

flang/test/Semantics/acc-clause-validity.f90
140

In an out-of-tree build, the error message associated with this line does not appear.

This revision is now accepted and ready to land.Dec 7 2020, 11:07 AM

@clementval , never mind. I had a setup error mixing up the "master" and "main" branches.

@clementval , never mind. I had a setup error mixing up the "master" and "main" branches.

Thanks for the review! I had similar problem today by mixing master and main ...

clementval closed this revision.Dec 8 2020, 11:57 AM

This patched has landed.